CVE-2022-24817

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2022-24817
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2022-24817.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2022-24817
Aliases
Published
2022-05-06T00:15:07Z
Modified
2024-06-06T13:57:40.762613Z
Severity
  • 9.9 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

Flux2 is an open and extensible continuous delivery solution for Kubernetes. Flux2 versions between 0.1.0 and 0.29.0, helm-controller 0.1.0 to v0.19.0, and kustomize-controller 0.1.0 to v0.23.0 are vulnerable to Code Injection via malicious Kubeconfig. In multi-tenancy deployments this can also lead to privilege escalation if the controller's service account has elevated permissions. Workarounds include disabling functionality via Validating Admission webhooks by restricting users from setting the spec.kubeConfig field in Flux Kustomization and HelmRelease objects. Additional mitigations include applying restrictive AppArmor and SELinux profiles on the controller’s pod to limit what binaries can be executed. This vulnerability is fixed in kustomize-controller v0.23.0 and helm-controller v0.19.0, both included in flux2 v0.29.0

References

Affected packages

Git / github.com/fluxcd/helm-controller

Affected ranges

Type
GIT
Repo
https://github.com/fluxcd/helm-controller
Events
Type
GIT
Repo
https://github.com/fluxcd/kustomize-controller
Events

Affected versions

api/v0.*

api/v0.1.1
api/v0.1.2
api/v0.1.3
api/v0.10.0
api/v0.10.1
api/v0.11.0
api/v0.11.1
api/v0.11.2
api/v0.12.0
api/v0.12.1
api/v0.12.2
api/v0.13.0
api/v0.13.1
api/v0.13.2
api/v0.13.3
api/v0.14.0
api/v0.14.1
api/v0.15.0
api/v0.15.1
api/v0.15.2
api/v0.15.3
api/v0.15.4
api/v0.15.5
api/v0.16.0
api/v0.17.0
api/v0.17.1
api/v0.18.0
api/v0.18.1
api/v0.18.2
api/v0.19.0
api/v0.19.1
api/v0.2.0
api/v0.2.1
api/v0.2.2
api/v0.20.0
api/v0.20.1
api/v0.20.2
api/v0.21.0
api/v0.21.1
api/v0.22.0
api/v0.22.1
api/v0.22.2
api/v0.22.3
api/v0.23.0
api/v0.23.1
api/v0.24.0
api/v0.24.1
api/v0.24.2
api/v0.24.3
api/v0.24.4
api/v0.25.0
api/v0.26.0
api/v0.26.1
api/v0.26.2
api/v0.26.3
api/v0.27.0
api/v0.27.1
api/v0.28.0
api/v0.28.1
api/v0.3.0
api/v0.4.0
api/v0.4.1
api/v0.4.2
api/v0.4.3
api/v0.4.4
api/v0.5.0
api/v0.5.1
api/v0.5.2
api/v0.5.3
api/v0.6.0
api/v0.6.1
api/v0.6.2
api/v0.6.3
api/v0.7.0
api/v0.7.1
api/v0.7.2
api/v0.7.3
api/v0.7.4
api/v0.8.0
api/v0.8.1
api/v0.8.2
api/v0.9.0
api/v0.9.1
api/v0.9.2
api/v0.9.3

v0.*

v0.1.0
v0.1.1
v0.1.2
v0.1.3
v0.10.0
v0.10.1
v0.11.0
v0.11.1
v0.11.2
v0.12.0
v0.12.1
v0.12.2
v0.13.0
v0.13.1
v0.13.2
v0.13.3
v0.14.0
v0.14.1
v0.15.0
v0.15.1
v0.15.2
v0.15.3
v0.15.4
v0.15.5
v0.16.0
v0.17.0
v0.17.1
v0.18.0
v0.18.1
v0.18.2
v0.19.0
v0.19.1
v0.2.0
v0.2.1
v0.2.2
v0.20.0
v0.20.1
v0.20.2
v0.21.0
v0.21.1
v0.22.0
v0.22.1
v0.22.2
v0.22.3
v0.23.0
v0.23.1
v0.24.0
v0.24.1
v0.24.2
v0.24.3
v0.24.4
v0.25.0
v0.26.0
v0.26.1
v0.26.2
v0.26.3
v0.27.0
v0.27.1
v0.28.0
v0.28.1
v0.3.0
v0.4.0
v0.4.1
v0.4.2
v0.4.3
v0.4.4
v0.5.0
v0.5.1
v0.5.2
v0.5.3
v0.6.0
v0.6.1
v0.6.2
v0.6.3
v0.7.0
v0.7.1
v0.7.2
v0.7.3
v0.7.4
v0.8.0
v0.8.1
v0.8.2
v0.9.0
v0.9.1
v0.9.2
v0.9.3